MAXScript Extensions > MAXScript Extensions for character studio > Crowd MAXScript Extensions > Crowds >

# CrowdAssignment : MAXObject

    CrowdAssignment - superclass: ReferenceTarget; super-superclass:MAXWrapper - 6:0 - classID: #(1352022790, 1524464408)

| Character Studio - Quick Navigation

Constructor

    CrowdAssignment ...

Properties

    <crowdassignment>.team CrowdTeam Default: Undefined-- max object

A named group of delegates.

    <crowdassignment>.delegate Node Default: Undefined-- node

A delegate object. See CrowdDelegate : Helper.

    <crowdassignment>.behavior MAXObject Default: Undefined-- max object

One of the Crowd Behaviorclasses.

    <crowdassignment>.cogcontrol CogControl Default: Undefined-- max object;CognitiveController

A cognitive controller. See CogControl:MAXObject for more details.

    <crowdassignment>.weight Float Default: 1.0 -- animatable; float

The relative effect of the assigned behavior or cognitive controller. The higher an assignment's weight setting is than others', the more effect it will have. This setting is animatable. Range=0.0 to 1.0.

    <crowdassignment>.active BooleanDefault: true -- animatable; boolean

When true, the assignment is currently in effect. When false, the assignment has no effect. Default=true.

Note

Normally either the team or the delegate property will contain a value of undefined. If both properties contain a value other than undefined, the assigment is applied to the team.

Normally either the cogcontrol or the behavior property will contain a value of undefined. If both properties contain a value other than undefined, the behavior will be used.

Do not assign a value other than undefined or a CrowdTeam value to the team property.

Do not assign a value other than undefined or a Behavior value to the behavior property.

Do not assign a value other than undefined or a CogControl value to the cogcontrol property.

Do not assign a node type other than a Delegate node to the delegate property.

#### See Also

- CrowdTeam : MAXObject

- Crowd Behaviors

- CogControl : MAXObject

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods

- MAXScript Extensions in character studio